// pages/change/change.js
const app = getApp()
const $api = require('../../utils/api.js').API;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        today_stock_img:'',
        init_fund:'',
        yesterday_fund:'',
        today_fund:'',
        today_income:'',
        total_income:'',
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {

    },
    uploadImg() {
        var today_stock_img = this.data.today_stock_img;
        wx.chooseImage({
          success: res => {
            wx.showLoading({
              title: '正在上传',
            })
            const tempFilePaths = res.tempFiles
            for (let i = 0; i < tempFilePaths.length; i++) {
              $api.upload(tempFilePaths[i].path, 'file').then(res => {
                wx.hideLoading()
                if (res.code == 0) {
                  // today_stock_img.push(res.data.url)
                  this.setData({
                    today_stock_img: res.data.url
                  })
                } else {
                  wx.showToast({
                    title: '上传失败',
                  })
                }
              })
                .catch(err => {
                  wx.hideLoading()
                })
            }
    
          }
        })
      },
      del(e) {
        // var i = e.target.dataset.id;
        // var today_stock_img = this.data.today_stock_img;
        // today_stock_img.splice(i, 1)
        this.setData({
          today_stock_img: ''
        })
      },
      prview(e){
        var src = e.target.dataset.src;
        wx.previewImage({
          current: src, // 当前显示图片的http链接
          urls: [src] // 需要预览的图片http链接列表
        })
      },
      todaychange(e){
        this.setData({
          today_fund: e.detail.value
        })
      },

      outchange(e){
        this.setData({
          out_fund: e.detail.value
        })
      },
      inchange(e){
        this.setData({
          in_fund: e.detail.value
        })
      },
      trypost(){
        var data={
          today_fund:this.data.today_fund,
          out_fund:this.data.out_fund,
          in_fund:this.data.in_fund,
          account_img:this.data.today_stock_img,
          trycalc:1
        }
        if (!data.today_fund){
          wx.showToast({
            icon: 'none',
            title: '请输入今日净资产'
          })
          return
        }

        if (data.today_fund >= 10000){
          wx.showToast({
            icon: 'none',
            title: '今日净资产单位为万'
          })
          return
        }

        if (data.out_fund >= 2000){
          wx.showToast({
            icon: 'none',
            title: '今日转出资金单位为万'
          })
          return
        }

        if (data.in_fund >= 2000){
          wx.showToast({
            icon: 'none',
            title: '今日转入资金单位为万'
          })
          return
        }

        if (!data.out_fund && !data.in_fund){
          wx.showToast({
            icon: 'none',
            title: '请输入今转出资金或今转入资金'
          })
          return
        }
   
        if (!data.account_img){
          wx.showToast({
            icon: 'none',
            title: '请上传账户截图'
          })
          return
        }
        
        $api.update(data).then(res=>{
          if(res.data.code == 0){
              this.setData({
                init_fund:res.data.data.init_fund,
                yesterday_fund:res.data.data.yesterday_fund,
                total_income:res.data.data.total_income,
                today_income:res.data.data.today_income
              })
          }else{
            wx.showToast({
              title: '提交失败',
            })
          }
        })
      },

      post(){
        var data={
          out_fund:this.data.out_fund,
          in_fund:this.data.in_fund,
          account_img:this.data.today_stock_img
        }
        if (!data.out_fund && !data.in_fund){
          wx.showToast({
            icon: 'none',
            title: '请输入今转出资金或今转入资金'
          })
          return
        }

        if (!data.account_img){
          wx.showToast({
            icon: 'none',
            title: '请上传账户截图'
          })
          return
        }
   
        $api.update(data).then(res=>{
          if(res.data.code == 0){
            wx.showToast({
              title: '提交成功',
              success:function(){
                setTimeout(() => {
                  wx.navigateBack({
                    delta: 0,
                  })
                }, 1500);
              }
            })
            
          }else{
            wx.showToast({
              title: '提交失败',
            })
          }
        })
      },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})